# $Revision: 1.110 $, $Date: 2008-02-23 21:40:02 $
#
# Conditional build:
%bcond_without	tests	# don't perform make test
%bcond_without	doc	# skip building/packaging docs/manuals (takes some time)
#
%include	/usr/lib/rpm/macros.perl
Summary:	The stupid content tracker
Summary(pl.UTF-8):	Prymitywne narzędzie do śledzenia treści
Name:		git-core
Version:	1.5.4.3
Release:	1
License:	GPL v2
Group:		Development/Tools
Source0:	http://www.kernel.org/pub/software/scm/git/git-%{version}.tar.bz2
# Source0-md5:	2b63c28d43b582f52dbaef62489616dd
Source1:	%{name}-gitweb.conf
Source2:	%{name}-gitweb-httpd.conf
Source3:	%{name}.sysconfig
Source4:	%{name}.inet
Source5:	%{name}.init
URL:		http://git.or.cz/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	expat-devel
BuildRequires:	gettext-devel
BuildRequires:	openssl-devel
BuildRequires:	perl-Error
BuildRequires:	perl-base
BuildRequires:	python
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.264
BuildRequires:	zlib-devel
%if %{with doc}
BuildRequires:	asciidoc >= 7.1.2-3
BuildRequires:	xmlto
%endif
%if %{with tests}
# tests failed sometimes when using nserver client 1.11(?)
BuildRequires:	cvs-client >= 1.12
BuildRequires:	pdksh >= 5.2.14-46
%endif
Requires:	coreutils
Requires:	cpio
Requires:	curl
Requires:	cvsps >= 2.1-2
Requires:	diffutils
Requires:	findutils
Requires:	grep
Requires:	openssh-clients
Requires:	perl-Error
Requires:	rcs
Requires:	sed
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# html docs have links to txt files
%define		_noautocompressdoc	*.txt

%define		webapp		gitweb
%define		webappdir	%{_sysconfdir}/webapps/%{webapp}
%define		appdir		%{_datadir}/%{webapp}
%define		cgibindir	%{_prefix}/lib/cgi-bin

%description
"git" can mean anything, depending on your mood.

 - random three-letter combination that is pronounceable, and not
   actually used by any common UNIX command. The fact that it is a
   mispronunciation of "get" may or may not be relevant.
 - stupid. contemptible and despicable. simple. Take your pick from the
   dictionary of slang.
 - "global information tracker": you're in a good mood, and it actually
   works for you. Angels sing, and a light suddenly fills the room.
 - "goddamn idiotic truckload of sh*t": when it breaks

This is a stupid (but extremely fast) directory content manager. It
doesn't do a whole lot, but what it 'does' do is track directory
contents efficiently.

%description -l pl.UTF-8
"git" może oznaczać cokolwiek, w zależności od nastroju.

 - losową kombinację trzech liter, która jest wymawialna i właściwie
   nie używana przez żadne popularne polecenie uniksowe. Fakt, że jest to
   błędna pisownia słowa "get" może mieć lub nie mieć znaczenia.
 - głupi, pogardliwy, prosty. Można wybrać ze słownika slangu.
 - "global information tracker" (narzędzie do globalnego śledzenia
   informacji) - jeśli jesteśmy w dobrym nastroju i git akurat działa.
   Anioły śpiewają, a światło niespodziewanie wypełnia pokój.
 - "goddamn idiotic truckload of sh*t" (przeklęty idiotyczny ładunek
   g*) - kiedy się zepsuje.

Jest to prymitywny (ale bardzo szybki) zarządca treści słownikowej.
Nie robi wiele, ale to, co "robi", to wydajne śledzenie zawartości
katalogu.

%package daemon-inetd
Summary:	Files necessary to run git-daemon as an inetd service
Summary(pl.UTF-8):	Pliki niezbędne do uruchomienia git-daemona w trybie usługi inetd
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	setup >= 2.4.11-1
Provides:	git-core-daemon
Obsoletes:	git-core-daemon
Obsoletes:	git-core-daemon-standalone

%description daemon-inetd
Git-daemon is a really simple TCP git daemon that can serve git
repositories. This package provides all necessarry files to run
git-daemon as an inetd service.

%description daemon-inetd -l pl.UTF-8
Git-daemon to prosty demon git korzystający z protokołu TCP do
udostępniania repozytoriów git. Ten pakiet dostarcza pliki potrzebne
do uruchomienia git-demona w trybie usługi inetd.

%package daemon-standalone
Summary:	Files necessary to run git-daemon as a standalone service
Summary(pl.UTF-8):	Pliki niezbędne do uruchomienia git-daemona w trybie usługi samodzielnej
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Provides:	git-core-daemon
Obsoletes:	git-core-daemon
Obsoletes:	git-core-daemon-inetd

%description daemon-standalone
Git-daemon is a really simple TCP git daemon that can serve git
repositories. This package provides all necessarry files to run
git-daemon as an standalone service.

%description daemon-standalone -l pl.UTF-8
Git-daemon to prosty demon git korzystający z protokołu TCP do
udostępniania repozytoriów git. Ten pakiet dostarcza pliki potrzebne
do uruchomienia git-daemona w trybie usługi samodzielnej.

%package devel
Summary:	Header files for git-core
Summary(pl.UTF-8):	Pliki nagłówkowe dla git-core
Group:		Development/Libraries

%description devel
Header files for git-core.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla git-core.

%package gitk
Summary:	Tcl/Tk interface to the Git version control system
Summary(pl.UTF-8):	Napisany w Tcl/Tk interfejs do systemu kontroli wersji Git
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	tk

%description gitk
Displays changes in a repository or a selected set of commits. This
includes visualizing the commit graph, showing information related to
each commit, and the files in the trees of each revision.

Historically, gitk was the first repository browser. It's written in
Tcl/Tk and started off in a separate repository but was later merged
into the main git repository.

%description gitk -l pl.UTF-8
Wyświetla zmiany w repozytorium lub wybranym zbiorze commitów. Oznacza
to wizualizację grafu commitów, wyświetlanie informacji związanych z
każdym z commitów oraz listę plików dla każdej rewizji.

Z punktu widzenia historii, gitk był pierwszą przeglądarką
repozytorium git. Napisany jest w Tcl/Tk i początkowo był rozwijany w
osobnym repozytorium, ale z czasem został włączony do głównego
repozytorium gita.

%package gitweb
Summary:	Web frontend to git
Summary(pl.UTF-8):	Webowy frontend do git
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	webapps

%description gitweb
This package provides a web interface for browsing git repositories.

%description gitweb -l pl.UTF-8
Pakiet ten dostarcza interfejs WWW do przeglądania repozytoriów gita.

%package gitview
Summary:	A GTK+ based repository browser for git
Summary(pl.UTF-8):	Oparta na GTK+ przeglądarka repozytorium gita
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	python >= 1:2.4
Requires:	python-pycairo >= 1.0
Requires:	python-pygobject
Requires:	python-pygtk-gtk >= 2:2.8
Suggests:	python-gnome-desktop-gtksourceview

%description gitview
A GTK+ based repository browser for git.

%description gitview -l pl.UTF-8
Oparta na GTK+ przeglądarka repozytorium gita.

%package -n bash-completion-git
Summary:	bash-completion for git
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla gita
Group:		Applications/Shells
Requires:	bash-completion

%description -n bash-completion-git
This package provides bash-completion for git.

%description -n bash-completion-git -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla gita.

%package -n perl-Git
Summary:	Perl interface to the Git version control system
Summary(pl.UTF-8):	Perlowy interfejs do systemu kontroli wersji Git
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Obsoletes:	perl-git-core

%description -n perl-Git
This module provides Perl scripts easy way to interface the Git
version control system. The modules have an easy and well-tested way
to call arbitrary Git commands; in the future, the interface will also
provide specialized methods for doing easily operations which are not
totally trivial to do over the generic command interface.

%description -n perl-Git -l pl.UTF-8
Ten moduł umożliwia skryptom Perla współpracę z systemem kontroli
wersji Git. W łatwy i dobrze przetestowany sposób pozwala wywoływać
dowolne polecenia Gita; w przyszłości interfejs udostępni także
specjalne metody do łatwego wykonywania operacji nietrywialnych do
wykonania przy użyciu ogólnego interfejsu poleceń.

%package -n vim-syntax-gitcommit
Summary:	Vim syntax: gitcommit
Summary(pl.UTF-8):	Składnia dla Vima: gitcommit
Group:		Applications/Editors/Vim
# for _vimdatadir existence
Requires:	vim >= 4:6.3.058-3

%description -n vim-syntax-gitcommit
This plugin provides syntax highlighting for git's commit messages.

%description -n vim-syntax-gitcommit -l pl.UTF-8
Ta wtyczka dostarcza podświetlanie składni dla treści commitów gita.

%prep
%setup -q -n git-%{version}

%build
%{__aclocal}
%{__autoconf}
%configure \
	--with-openssl

%{__make} \
	INSTALLDIRS=vendor \
	GITWEB_CONFIG="%{webappdir}/gitweb.conf" \
	GITWEB_PROJECTROOT="/var/lib/git" \
	GITWEB_CSS="/gitweb/gitweb.css" \
	GITWEB_LOGO="/gitweb/git-logo.png" \
	GITWEB_FAVICON="/gitweb/git-favicon.png"

%{?with_doc:%{__make} -C Documentation}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir}/%{name}/xdiff,%{_localstatedir}/lib/git}
install -d $RPM_BUILD_ROOT{%{appdir},%{cgibindir},%{webappdir}}
install -d $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/syntax
install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
install -d $RPM_BUILD_ROOT/etc/{sysconfig/rc-inetd,rc.d/init.d}

%{__make} install \
	INSTALLDIRS=vendor \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with doc}
%{__make} -C Documentation install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

# header files and lib
install *.h $RPM_BUILD_ROOT%{_includedir}/%{name}
install xdiff/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}/xdiff
install libgit.a $RPM_BUILD_ROOT%{_libdir}

# bash completion
install contrib/completion/git-completion.bash $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d

# vim syntax
install contrib/vim/syntax/gitcommit.vim $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/syntax

# gitweb
install gitweb/*.css gitweb/*.png $RPM_BUILD_ROOT%{appdir}
install gitweb/gitweb.cgi $RPM_BUILD_ROOT%{cgibindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{webappdir}/gitweb.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{webappdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{webappdir}/httpd.conf

# gitview
install contrib/gitview/gitview $RPM_BUILD_ROOT%{_bindir}

# git-daemon related files
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/git-daemon
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/git-daemon
install %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/git-daemon

# remove unneeded files
rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Git/.packlist
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Error.pm
rm -f $RPM_BUILD_ROOT%{_mandir}/man3/private-Error.3*

%clean
rm -rf $RPM_BUILD_ROOT

%post daemon-inetd
%service -q rc-inetd reload

%postun daemon-inetd
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%post daemon-standalone
/sbin/chkconfig --add git-daemon
%service git-daemon restart "git-daemon"

%preun daemon-standalone
if [ "$1" = "0" ]; then
	%service git-daemon stop
	/sbin/chkconfig --del git-daemon
fi

%triggerin gitweb -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{webapp}

%triggerun gitweb -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{webapp}

%triggerin gitweb -- apache < 2.2.0, apache-base
%webapp_register httpd %{webapp}

%triggerun gitweb -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{webapp}

%files
%defattr(644,root,root,755)
%doc README contrib
%if %{with doc}
%doc Documentation/{[!g]*,g[!i]*,git,git[!k]*}.html Documentation/howto Documentation/technical
%{_mandir}/man1/git-*.1*
%{_mandir}/man5/gitattributes.5*
%{_mandir}/man5/gitcli.5*
%{_mandir}/man5/gitignore.5*
%{_mandir}/man5/gitmodules.5*
%{_mandir}/man7/git.7*
%endif
%attr(755,root,root) %{_bindir}/git
%attr(755,root,root) %{_bindir}/git-*
%{_datadir}/%{name}
%{_datadir}/git-gui
%{_localstatedir}/lib/git

%files daemon-inetd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/git-daemon

%files daemon-standalone
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/git-daemon
%attr(754,root, root) /etc/rc.d/init.d/git-daemon

%files devel
%defattr(644,root,root,755)
%{_includedir}/git-core
%{_libdir}/libgit.a

%files gitk
%defattr(644,root,root,755)
%if %{with doc}
%doc Documentation/gitk.html
%{_mandir}/man1/gitk.1*
%endif
%attr(755,root,root) %{_bindir}/gitk
%dir %{_datadir}/gitk
%dir %{_datadir}/gitk/lib
%dir %{_datadir}/gitk/lib/msgs
%lang(de) %dir %{_datadir}/gitk/lib/msgs/de.msg

%files gitweb
%defattr(644,root,root,755)
%doc gitweb/{README,INSTALL}
%dir %{webappdir}
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,http) %{webappdir}/gitweb.conf
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) %{webappdir}/apache.conf
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) %{webappdir}/httpd.conf
%attr(755,root,root) %{cgibindir}/gitweb.cgi
%{appdir}

%files gitview
%defattr(644,root,root,755)
%doc contrib/gitview/gitview.txt
%attr(755,root,root) %{_bindir}/gitview

%files -n bash-completion-git
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/*

%files -n perl-Git
%defattr(644,root,root,755)
%{perl_vendorlib}/Git.pm
%{_mandir}/man3/Git.3pm*

%files -n vim-syntax-gitcommit
%defattr(644,root,root,755)
%doc contrib/vim/README
%{_datadir}/vim/vimfiles/syntax/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: git-core.spec,v $
Revision 1.110  2008-02-23 21:40:02  arekm
- up to 1.5.4.3

Revision 1.109  2008-02-17 16:48:20  deejay1
- updated to 1.5.4.2

Revision 1.108  2008-02-10 12:02:02  arekm
- up to 1.5.4.1

Revision 1.107  2008-02-08 13:55:59  arekm
- rel 3; BR: gettext-devel

Revision 1.106  2008-02-08 13:50:12  arekm
- rel 2

Revision 1.105  2008-02-02 15:38:37  arekm
- up to 1.5.4

Revision 1.104  2008-01-24 00:39:54  glen
- add known working cvsps to requires for cvsimport

Revision 1.103  2008-01-08 11:37:05  arekm
- up to 1.5.3.8

Revision 1.102  2007-12-03 19:10:12  qboosh
- pl fixes
- fixed invalid macros usage

Revision 1.101  2007-12-02 11:19:41  qboosh
- added try-restart action to init script
- release 2

Revision 1.100  2007-12-02 11:14:37  qboosh
- use cvs-client BR (1.12 to avoid nserver 1.11? - but it didn't fail for me)
- gitview deps
- use rm -f for perlish junk (installed with 0444 mode)

Revision 1.99  2007-12-01 22:52:10  arekm
- remove unneded files

Revision 1.98  2007-12-01 22:30:38  arekm
- up to 1.5.3.7

Revision 1.97  2007-11-21 20:25:31  adamg
- daemon-inetd / daemon-standalone subpackages
- release 2

Revision 1.96  2007-11-19 10:10:38  arekm
- tests fail with cvs-nserver-client; BC it

Revision 1.95  2007-11-19 06:28:08  arekm
- up to 1.5.3.6

Revision 1.94  2007-11-13 23:04:59  glen
- fix group for bash-completion; adapter back

Revision 1.93  2007-11-13 23:03:46  glen
- add doc bcond

Revision 1.92  2007-11-05 18:51:32  qboosh
- typo

Revision 1.91  2007/11/01 21:27:48  arekm
- R:cpio (used in cloning)

Revision 1.90  2007/11/01 11:36:18  arekm
- tests require cvs tool

Revision 1.89  2007/11/01 10:37:47  arekm
- up to 1.5.3.5

Revision 1.88  2007/10/19 06:43:20  arekm
- don't compress txt docs since html doc refer to these directly

Revision 1.87  2007/10/09 19:42:28  qboosh
- unified GTK+ naming

Revision 1.86  2007/10/09 19:40:04  wolf
- add gitview subpackage

Revision 1.85  2007/10/04 07:42:12  arekm
- up to 1.5.3.4

Revision 1.84  2007/09/30 19:44:37  arekm
- up to 1.5.33

Revision 1.83  2007/09/19 19:20:53  arekm
- up to 1.5.3.2

Revision 1.82  2007/09/18 23:42:45  adamg
- typo...

Revision 1.81  2007/09/18 23:29:49  adamg
- docs fail on asciidoc-7.0.0-1, 7.1.2-3 seems ok
- tests require pdksh with unset bug fixed

Revision 1.80  2007/09/16 12:20:06  arekm
- up to 1.5.3.1

Revision 1.79  2007/09/02 08:26:48  arekm
- up to 1.5.3

Revision 1.78  2007/08/16 07:03:36  arekm
- up to 1.5.2.5

Revision 1.77  2007/07/15 12:39:02  qboosh
- pl fix

Revision 1.76  2007/07/13 06:51:03  arekm
- up to 1.5.2.4

Revision 1.75  2007/06/26 06:55:50  arekm
- install libgit.a library; rel 4

Revision 1.74  2007/06/24 15:54:21  qboosh
- pl fixes

Revision 1.73  2007/06/24 15:41:31  adamg
- bash-completion and vim-syntax packages
- todo entry added (git-gui separation)

Revision 1.72  2007/06/24 12:12:47  qboosh
- sanitized main file list

Revision 1.71  2007/06/24 12:00:30  adamg
- gitweb subpackage (assumes git repositories are stored in /var/lib/git)
- changelog cleanups
- release 3

Revision 1.70  2007/06/24 08:46:17  adamg
- glob fix; release 2

Revision 1.69  2007/06/21 16:01:18  qboosh
- typos
- glob exclusion fix (not tested)

Revision 1.68  2007/06/21 15:28:46  adamg
- updated to 1.5.2.2
- gitk subpackage (to avoid dependency on tk)

Revision 1.67  2007/06/20 21:26:46  qboosh
- bcond header

Revision 1.66  2007/06/08 23:14:36  arekm
- enable tests

Revision 1.65  2007/06/03 11:22:17  arekm
- up to 1.5.2.1

Revision 1.64  2007/05/20 09:59:20  arekm
- up to 1.5.2

Revision 1.63  2007/05/09 07:22:37  arekm
- up to 1.5.1.4

Revision 1.62  2007/05/01 11:11:33  arekm
- up to 1.5.1.3

Revision 1.61  2007/04/22 13:09:11  arekm
- up to 1.5.1.2

Revision 1.60  2007/04/14 21:40:56  arekm
- up to 1.5.1.1

Revision 1.59  2007/04/14 17:28:48  deejay1
- R: perl-Error required by git-remote
- rel. 2

Revision 1.58  2007/04/04 09:27:19  arekm
- up to 1.5.1

Revision 1.57  2007/03/29 06:22:28  arekm
- up to 1.5.0.6

Revision 1.56  2007/03/19 07:05:09  arekm
- up to 1.5.0.5

Revision 1.55  2007/03/05 07:43:45  arekm
- up to 1.5.0.3

Revision 1.54  2007/02/27 15:30:35  arekm
- up to 1.5.0.2

Revision 1.53  2007/02/19 07:03:47  arekm
- up to 1.5.0.1

Revision 1.52  2007/02/14 20:03:12  arekm
- up to 1.5.0

Revision 1.51  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.50  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.49  2007/02/11 22:30:25  qrczak
- Fixed language tag.

Revision 1.48  2007/01/08 08:50:56  arekm
- up to 1.4.4.4

Revision 1.47  2006/12/21 00:08:41  arekm
- up to 1.4.4.3

Revision 1.46  2006/12/14 23:36:37  arekm
- more R/BR; build/install fixes

Revision 1.45  2006/12/14 16:25:09  arekm
- R: rcs for merge binary

Revision 1.44  2006/12/08 21:19:28  arekm
- TODO: gitweb subpackage

Revision 1.43  2006/12/08 16:46:14  arekm
- add missing R:

Revision 1.42  2006/12/07 20:43:07  arekm
- up to 1.4.4.2

Revision 1.41  2006/12/02 11:38:08  arekm
- rel 2; new curl

Revision 1.40  2006/11/23 14:19:09  arekm
- up to 1.4.4.1

Revision 1.39  2006/11/12 12:24:07  arekm
- up to 1.4.3.5

Revision 1.38  2006/11/09 18:37:43  qboosh
- pl for perl-Git

Revision 1.37  2006/11/05 17:41:59  glen
- just perl-Git

Revision 1.36  2006/11/05 17:39:31  glen
- Perl Package Naming
- cleanup files
- BR: perl-Error to avoid copy of Error.pm being installed
- fix perl paths
- rel 2

Revision 1.35  2006/11/05 16:56:11  arekm
- drop todo; add br

Revision 1.34  2006/11/05 16:55:08  arekm
- up to 1.4.3.4; add perl subpackage

Revision 1.33  2006/10/27 18:38:52  arekm
- up to 1.4.3.2

Revision 1.32  2006/10/23 09:36:45  arekm
- up to 1.4.3.1

Revision 1.31  2006/10/17 06:47:41  arekm
- up to 1.4.2.4

Revision 1.30  2006/10/02 08:34:00  arekm
- up to 1.4.2.3

Revision 1.29  2006/09/30 10:41:36  arekm
- up to 1.4.2.2

Revision 1.28  2006/09/13 19:30:18  arekm
- up to 1.4.2.1

Revision 1.27  2006/09/12 05:54:12  glen
- proper changelog for r1.25 commit
- defattr for new package

Revision 1.26  2006/09/12 04:48:19  ankry
- pl, cosmetics

Revision 1.25  2006/09/11 22:17:55  aredridel
- [added -devel subpackage]

Revision 1.24  2006/08/13 16:08:20  arekm
- up to 1.4.2

Revision 1.23  2006/07/26 21:27:18  qboosh
- pass the same CFLAGS to install (otherwise Makefile would rebuild all)

Revision 1.22  2006/07/25 06:09:25  arekm
- up to 1.4.1.1

Revision 1.21  2006/07/02 09:11:52  arekm
- up to 1.4.1

Revision 1.20  2006/06/11 08:20:33  arekm
- up to 1.4.0

Revision 1.19  2006/04/25 08:49:00  arekm
- up to 1.3.1

Revision 1.18  2006/04/19 14:16:25  arekm
- up to 1.3.0

Revision 1.17  2006/04/05 06:48:31  arekm
- up to 1.2.5

Revision 1.16  2006/03/27 06:37:01  arekm
- up to 1.2.4

Revision 1.15  2006/02/19 12:17:23  arekm
- up to 1.2.2

Revision 1.14  2006/01/28 11:55:40  arekm
- up to 1.1.5

Revision 1.13  2006/01/11 08:30:30  arekm
- up to 1.0.8

Revision 1.12  2006/01/10 21:16:30  witekfl
- build documentation (BR: asciidoc, xmlto)
- rel 2

Revision 1.11  2006/01/10 20:21:34  witekfl
- missing build phase

Revision 1.10  2006/01/07 20:29:37  arekm
- up to 1.0.7

Revision 1.9  2005/12/24 10:25:33  arekm
- up to 1.0.4

Revision 1.8  2005/12/21 21:31:14  adamg
- updated to 1.0.0

Revision 1.7  2005/11/27 19:55:20  adamg
- updated to 0.99.9k

Revision 1.6  2005/11/23 09:29:54  arekm
- up to 0.99.9i; use correct prefix; use correct CC

Revision 1.5  2005/10/31 15:59:24  adamg
- removed todo entry

Revision 1.4  2005/10/14 06:26:55  adamg
- ToDo added (conflict between git and git-core)

Revision 1.3  2005/10/11 19:24:05  adamg
- URL, dropped Epoch: 0, release 1

Revision 1.2  2005/10/05 23:02:28  qboosh
- pl

Revision 1.1  2005/10/03 16:07:10  witekfl
- initial PLD release
